Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Errors trying to integrate existing Dynamic Web Project(Unable to compile JSPs nor start JBoss 6.x Runtime 1 Server)
Errors trying to integrate existing Dynamic Web Project [message #1857862] Thu, 02 March 2023 13:44 Go to next message
Phillip Powell is currently offline Phillip PowellFriend
Messages: 2
Registered: September 2022
Junior Member
I created a dynamic web project last year on an earlier iteration of Eclipse (6/2020). However, due to my laptop being reimaged and serviced recently, I had to reinstall Eclipse, and, this time, I chose Eclipse IDE for Java Developers.

I pointed to the directory where my old dynamic web project was, and while it integrated relatively OK, I have since run into multiple problems.

1) All of my JSPs won't compile due to errors involving JSTL: Cannot find the tag library descriptor for "http://java.sun.com/jsp/jstl/core" (also for "fmt" and "fn"). I imported jstl.jar into the Classpath via Java Build Path, cleaned the project, even restarted Eclipse, all to no avail.

2) Although I struggled with installing JBoss 6.x Runtime 1 Server, I was finally able to install and implement it, however, I am unable to start the server:

Error: Could not create the Java Virtual Machine I am using JDK 14.0.2

I am unable to proceed further with the dynamic web project and need help.

Thanks
Re: Errors trying to integrate existing Dynamic Web Project [message #1857867 is a reply to message #1857862] Thu, 02 March 2023 15:12 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 33081
Registered: July 2009
Senior Member
I would expect you to install the Eclipse IDE for Enterprise Java and Web Developers which says "Tools for developers working with Java and Web applications, including a Java IDE, tools for JavaScript, TypeScript, JavaServer Pages and Faces, Yaml, Markdown, Web Services, JPA and Data Tools, Maven and Gradle, Git, and more." The "Eclipse IDE for Java Developers" does not have the tooling for web development.

JDK 14.0.2 seems a weird choice. You're probably better off with JDK 17 which is a LTS (Long Term Support) version:

https://adoptium.net/


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Errors trying to integrate existing Dynamic Web Project [message #1857872 is a reply to message #1857867] Thu, 02 March 2023 17:29 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 4423
Registered: July 2009
Senior Member

Ed's right, although you can add those features from the directions on https://wiki.eclipse.org/WTP_FAQ#How_do_I_install_WTP.3F .

What's odd is that that Problem message requires at least some of it to be installed already. If that is the case, and you have the JSP Editor
available, does it offer valid URIs via Content Assist inside the taglib directive's URI value?


_
Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Problem with Debugging in ADT (ABAP Development Tool) on Eclipse 2022-12
Next Topic:Issue with Quick Shell
Goto Forum:
  


Current Time: Sat Mar 02 01:34:47 GMT 2024

Powered by FUDForum. Page generated in 0.03649 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top